RDKit::MolEnumerator::RepeatUnitOp Class Reference

Molecule enumeration operation corresponding to SRUs. More...

`#include <MolEnumerator.h>`

Inheritance diagram for RDKit::MolEnumerator::RepeatUnitOp:

## Public Member Functions

| RepeatUnitOp ()
| RepeatUnitOp (const std::shared_ptr< ROMol > mol)
| RepeatUnitOp (const ROMol &mol)
| RepeatUnitOp (const RepeatUnitOp &other)
RepeatUnitOp & | operator= (const RepeatUnitOp &other)
std::vector< size_t > | getVariationCounts () const override
| \override More...
std::unique_ptr< ROMol > | operator() (const std::vector< size_t > &which) const override
| \override More...
void | initFromMol (const ROMol &mol) override
| \override More...
std::unique_ptr< MolEnumeratorOp > | copy () const override
| \override More...
Public Member Functions inherited from RDKit::MolEnumerator::MolEnumeratorOp
| MolEnumeratorOp ()
virtual | ~MolEnumeratorOp ()

## Public Attributes

size_t | d_defaultRepeatCount

## Detailed Description

Molecule enumeration operation corresponding to SRUs.

This should be considered a work-in-progress and to be somewhat fragile.

Known limitations:

- Overlapping SRUs, i.e. where one monomer is contained within another, are not supported

Definition at line 167 of file MolEnumerator.h.

## Constructor & Destructor Documentation

## RepeatUnitOp() [1/4]

RDKit::MolEnumerator::RepeatUnitOp::RepeatUnitOp | ( |  | ) |

inline

Definition at line 169 of file MolEnumerator.h.

## RepeatUnitOp() [2/4]

RDKit::MolEnumerator::RepeatUnitOp::RepeatUnitOp | ( | const std::shared_ptr< ROMol > | mol | ) |

inline

Definition at line 170 of file MolEnumerator.h.

References PRECONDITION.

## RepeatUnitOp() [3/4]

RDKit::MolEnumerator::RepeatUnitOp::RepeatUnitOp | ( | const ROMol & | mol | ) |

inline

Definition at line 174 of file MolEnumerator.h.

## RepeatUnitOp() [4/4]

RDKit::MolEnumerator::RepeatUnitOp::RepeatUnitOp | ( | const RepeatUnitOp & | other | ) |

inline

Definition at line 175 of file MolEnumerator.h.

## Member Function Documentation

## copy()

std::unique_ptr<MolEnumeratorOp> RDKit::MolEnumerator::RepeatUnitOp::copy | ( |  | ) | const

inline override virtual

\override

Implements RDKit::MolEnumerator::MolEnumeratorOp.

Definition at line 211 of file MolEnumerator.h.

## getVariationCounts()

std::vector<size_t> RDKit::MolEnumerator::RepeatUnitOp::getVariationCounts | ( |  | ) | const

override virtual

\override

Implements RDKit::MolEnumerator::MolEnumeratorOp.

## initFromMol()

void RDKit::MolEnumerator::RepeatUnitOp::initFromMol | ( | const ROMol & | mol | ) |

override virtual

\override

Implements RDKit::MolEnumerator::MolEnumeratorOp.

## operator()()

std::unique_ptr<ROMol> RDKit::MolEnumerator::RepeatUnitOp::operator() | ( | const std::vector< size_t > & | which | ) | const

override virtual

\override

Implements RDKit::MolEnumerator::MolEnumeratorOp.

## operator=()

RepeatUnitOp& RDKit::MolEnumerator::RepeatUnitOp::operator= | ( | const RepeatUnitOp & | other | ) |

inline

Definition at line 185 of file MolEnumerator.h.

References d_defaultRepeatCount.

## Member Data Documentation

## d_defaultRepeatCount

size_t RDKit::MolEnumerator::RepeatUnitOp::d_defaultRepeatCount

Initial value:
=
4

Definition at line 215 of file MolEnumerator.h.

Referenced by operator=().

The documentation for this class was generated from the following file:

- MolEnumerator.h